### Class

# Dex Block

#### Description [src]

    final class Dex.Block : GObject.TypeInstance
    {
      /* No available fields */
    }

`DexBlock` represents a callback closure that can be scheduled to run within a specific `GMainContext`.

You create these by chaining futures together using dex_future_then(), dex_future_catch(), `dex_future_finally()` and similar.

#### Hierarchy

#### Ancestors

- DexFuture
- DexObject

#### Instance methods

###### dex_block_get_kind

Gets the kind of block.

###### dex_block_get_scheduler

Gets the scheduler to use when executing a block.

##### Methods inherited from DexFuture (24)

Please see DexFuture for a full list of methods.

##### Methods inherited from DexObject (2)

###### dex_ref

Acquires a reference on the given object, and increases its reference count by one.

###### dex_unref

Releases a reference on the given object, and decreases its reference count by one.